Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(437)

Issue 1327453002: Share a body across all versions of a message. (Closed)

Created:
4 years, 11 months ago by nweiz
Modified:
4 years, 11 months ago
Reviewers:
Bob Nystrom
CC:
reviews_dartlang.org, kevmoo
Base URL:
git@github.com:dart-lang/shelf@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Share a body across all versions of a message. This means that when one message is read, all other messages that were created from the same original via `change()` will be marked read as well. Closes #49 R=rnystrom@google.com Committed: https://github.com/dart-lang/shelf/commit/5bab305148a4064069c950ad3838cc622a1d570e

Patch Set 1 #

Total comments: 6

Patch Set 2 : Code review changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+130 lines, -33 lines) Patch
M CHANGELOG.md View 1 chunk +8 lines, -0 lines 0 comments Download
A lib/src/body.dart View 1 1 chunk +60 lines, -0 lines 0 comments Download
M lib/src/message.dart View 5 chunks +6 lines, -30 lines 0 comments Download
M lib/src/request.dart View 1 chunk +1 line, -1 line 0 comments Download
M lib/src/response.dart View 1 chunk +1 line, -1 line 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download
M test/request_test.dart View 1 chunk +26 lines, -0 lines 0 comments Download
M test/response_test.dart View 1 chunk +27 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (1 generated)
nweiz
4 years, 11 months ago (2015-08-31 19:59:30 UTC) #2
Bob Nystrom
https://codereview.chromium.org/1327453002/diff/1/lib/src/body.dart File lib/src/body.dart (right): https://codereview.chromium.org/1327453002/diff/1/lib/src/body.dart#newcode22 lib/src/body.dart:22: bool _wasRead = false; How about just making _stream ...
4 years, 11 months ago (2015-08-31 21:05:33 UTC) #3
nweiz
Code review changes
4 years, 11 months ago (2015-08-31 21:16:00 UTC) #4
nweiz
https://codereview.chromium.org/1327453002/diff/1/lib/src/body.dart File lib/src/body.dart (right): https://codereview.chromium.org/1327453002/diff/1/lib/src/body.dart#newcode22 lib/src/body.dart:22: bool _wasRead = false; On 2015/08/31 21:05:32, Bob Nystrom ...
4 years, 11 months ago (2015-08-31 21:16:05 UTC) #5
Bob Nystrom
lgtm
4 years, 11 months ago (2015-08-31 21:31:19 UTC) #6
nweiz
4 years, 11 months ago (2015-09-01 02:01:44 UTC) #7
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
5bab305148a4064069c950ad3838cc622a1d570e (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698